<?php
/**
 * Template Name: Videos Page
 *
 * @link https://codex.wordpress.org/Template_Hierarchy
 *
 * @package STMPack
 */

get_header();

$yt = get_youtube_videos(get_locale());
//$yt_js = json_encode($yt);
$yt_tmpl = json_decode($yt);

if(function_exists('chi_display_header')) { chi_display_header(); } 
?><h1 class="stm-page-title stm-inner-width"><?php echo get_the_title(); ?></h1></div>
	<div id="primary" class="content-area stm-inner-width">
		<div class="stm-breadcrumbs">
			<?php custom_breadcrumbs(); ?>
		</div>
		<main id="main" class="site-main stm-videos-page" role="main">
			<?php
			while ( have_posts() ) : the_post();

				get_template_part( 'template-parts/content', 'page' );

			endwhile; // End of the loop.
			?>
			<div class="stm-videos">
				<?php if(is_array($yt_tmpl) || is_object($yt_tmpl)) { foreach($yt_tmpl->items as $item) { 
				?><a href="https://www.youtube.com/watch?v=<?php echo $item->id; ?>" class="stm-video-item" target="_blank">
					<div class="stm-video-thumb" style="background-image: url(<?php echo $item->snippet->thumbnails->medium->url; ?>);"></div>
					<div class="stm-video-title"><?php echo $item->snippet->localized->title; ?></div>
					<div class="stm-play-button"></div>
				</a><?php } } else { ?>
					<div class="stm-error yt-error">
						<?php if(function_exists('pll_e')) {
							pll_e('There was a problem retrieving videos. Please try again later, or see our channel on ');
						} else {
							echo 'There was a problem retrieving videos. Please try again later, or see our channel on ';
						} ?><a href="https://www.youtube.com/user/STMmachines" target="_blank">YouTube</a>.
					</div>
				<?php } ?>
			</div>
		</main><!-- #main -->
	</div><!-- #primary -->
<?php 
get_footer();